GET /runner-images
API reference for GET /runner-images. Request parameters, authentication and response schemas for the WarpBuild API.
Authorization
JWTKeyAuth In: header
Query Parameters
Alias
Runner Image Pull Secret ID
Stack Kind
Region
Arch
OS
Type
Snapshot VCS Repositories Names. These will be an and operation so other image types if passed will be ignored except the warpbuild_managed images
Snapshot VCS Branches Names. These will be an and operation so other image types if passed will be ignored except the warpbuild_managed images
Snapshot VCS organization (GitHub org) names to filter snapshot images by
Page. Only supported when type doesn't include warpbuild_managed
Per Page. Only supported when type doesn't include warpbuild_managed
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/runner-images"{ "next_page": 0, "page": 0, "per_page": 0, "runner_images": [ { "alias": "string", "arch": "string", "byoc_ami": { "ami_id": "string", "root_device_name": "string" }, "container_runner_image": { "args": [ "string" ], "command": "string", "entrypoint": "string", "environment_variables": { "property1": "string", "property2": "string" }, "image_repository": "string", "image_tag": "string" }, "created_at": "string", "deprecated": true, "hooks": [ { "file": "string", "type": "github_prehook" } ], "id": "string", "organization_id": "string", "os": "string", "parent_image_id": "string", "root_parent_image_id": "string", "runner_image_pull_secret_id": "string", "settings": { "purge_image_versions_offset": 0 }, "stack_id": "string", "status": "creating", "type": "container", "updated_at": "string", "version": { "arch": "string", "byoc_ami": { "ami_id": "string", "root_device_name": "string" }, "container_runner_image": { "data_dir_size": "string", "image_digest": "string", "image_repository": "string", "image_size": "string", "image_tag": "string", "image_uri": "string", "snapshot_id": "string", "snapshot_size": "string", "volume_id": "string", "volume_size_gb": 0 }, "created_at": "string", "expires_at": "string", "external_id": "string", "id": "string", "meta": { "event": null, "parsed_event": null }, "organization_id": "string", "os": "string", "parent_image_id": "string", "root_parent_image_id": "string", "runner_image_id": "string", "runner_image_pull_secret_id": "string", "stack_id": "string", "status": "string", "type": "string", "updated_at": "string", "version_time_id": 0, "warpbuild_snapshot_image": { "ami_id": "string", "creator_runner_instance_id": "string", "provider": "string", "snapshot_id": "string", "stack_id": "string", "vcs_organization_name": "string", "vcs_ref_name": "string", "vcs_repository_name": "string", "version_id": 0 } }, "warpbuild_image": { "cloud_init_template": "string", "image_uri": "string" }, "warpbuild_snapshot_image": { "ami_id": "string", "creator_runner_instance_id": "string", "provider": "string", "snapshot_id": "string", "stack_id": "string", "vcs_organization_name": "string", "vcs_ref_name": "string", "vcs_repository_name": "string", "version_id": 0 }, "work_dir": "string" } ], "total_items": 0, "total_pages": 0}GET /runner-images/{id}
API reference for GET /runner-images/{id}. Request parameters, authentication and response schemas for the WarpBuild API.
GET /runner-images/snapshot-vcs-repositories
API reference for GET /runner-images/snapshot-vcs-repositories. Request parameters, authentication and response schemas for the WarpBuild API.